import type { ParsedContent } from '@nuxt/content/dist/runtime/types';
import type { GithubRepositoryOptions, GithubContributorsQuery, GithubReleasesQuery, GithubRepository, GithubRawRelease, GithubRawContributors } from '../types';
export declare const useGithub: () => {
    fetchRepository: (query: GithubRepositoryOptions) => Promise<GithubRepository>;
    fetchReleases: (query: GithubReleasesQuery) => Promise<GithubRawRelease>;
    fetchLastRelease: (query: GithubRepositoryOptions) => Promise<GithubRepository>;
    fetchContributors: (query: GithubContributorsQuery) => Promise<GithubRawContributors>;
    fetchFileContributors: (query: GithubContributorsQuery) => Promise<GithubRawContributors>;
    fetchReadme: (query: GithubRepositoryOptions) => Promise<ParsedContent>;
};
